Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class DocumentSender

    java.lang.Object
      net.sf.saxon.event.DocumentSender

All Implemented Interfaces:
  javax.xml.transform.SourceLocator, LocationProvider, SaxonLocator, org.xml.sax.Locator

    public class DocumentSender

extends java.lang.Object
implements SaxonLocator

Sends an entire document to a Receiver.

Author:
  Ruud Diterwich, integrated by Michael Kay

Constructor Summary
`DocumentSender(NodeInfo top)` Create a DocumentSender, which takes an input document tree and generates a stream of events for a Receiver

Method Summary
`int` | `getColumnNumber()`
`int` | `getColumnNumber(long locationId)` Get the column number within the document or module containing a particular location
`int` | `getLineNumber()`
`int` | `getLineNumber(long locationId)` Get the line number within the document or module containing a particular location
`java.lang.String` | `getPublicId()`
`java.lang.String` | `getSystemId()`
`java.lang.String` | `getSystemId(long locationId)` Get the URI of the document or module containing a particular location
`void` | `send(Receiver receiver)` Send the entire document to the receiver

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentSender

    public DocumentSender(NodeInfo top)

  Create a DocumentSender, which takes an input document tree and generates a stream of events for a Receiver

  Parameters:
    `top` - the document or element node to be turned into a stream of events

Method Detail

### send

    public void send(Receiver receiver)
              throws XPathException

  Send the entire document to the receiver

  Throws:
    `XPathException`

### getColumnNumber

    public int getColumnNumber()

  Specified by:
    `getColumnNumber` in interface `javax.xml.transform.SourceLocator`
  Specified by:
    `getColumnNumber` in interface `org.xml.sax.Locator`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `javax.xml.transform.SourceLocator`
  Specified by:
    `getLineNumber` in interface `org.xml.sax.Locator`

### getPublicId

    public java.lang.String getPublicId()

  Specified by:
    `getPublicId` in interface `javax.xml.transform.SourceLocator`
  Specified by:
    `getPublicId` in interface `org.xml.sax.Locator`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `javax.xml.transform.SourceLocator`
  Specified by:
    `getSystemId` in interface `org.xml.sax.Locator`

### getSystemId

    public java.lang.String getSystemId(long locationId)

  Description copied from interface: `LocationProvider`
  Get the URI of the document or module containing a particular location

  Specified by:
    `getSystemId` in interface `LocationProvider`
  Parameters:
    `locationId` - identifier of the location in question (as passed down the Receiver pipeline)
  Returns:
    the URI of the document or module.

### getLineNumber

    public int getLineNumber(long locationId)

  Description copied from interface: `LocationProvider`
  Get the line number within the document or module containing a particular location

  Specified by:
    `getLineNumber` in interface `LocationProvider`
  Parameters:
    `locationId` - identifier of the location in question (as passed down the Receiver pipeline)
  Returns:
    the line number within the document or module.

### getColumnNumber

    public int getColumnNumber(long locationId)

  Description copied from interface: `LocationProvider`
  Get the column number within the document or module containing a particular location

  Specified by:
    `getColumnNumber` in interface `LocationProvider`
  Parameters:
    `locationId` - identifier of the location in question (as passed down the Receiver pipeline)
  Returns:
    the column number within the document or module, or -1 if this is not available

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.